export async function getData(key: string): Promise<string | null> {
  return new Promise(resolve => {
    const data = localStorage.getItem(key);
    resolve(data);
  });
}

export async function setData(key: string, value: string): Promise<void> {
  return new Promise(resolve => {
    localStorage.setItem(key, value);
    resolve();
  });
}
